#
# spec file for package python3-django-dj-inmemorystorage
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-dj-inmemorystorage
Version:        1.4.0
Release:        2.7
Summary:        A non-persistent in-memory data storage backend for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/waveaccounting/dj-inmemorystorage
Source:         https://files.pythonhosted.org/packages/source/d/dj-inmemorystorage/dj-inmemorystorage-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-Django
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-Django
Requires:       python3-six
BuildArch:      noarch

%description
An in-memory data storage backend for Django.

Compatible with Django's storage API.

%prep
%setup -q -n dj-inmemorystorage-%{version}

%build
export LANG=en_US.UTF-8
python3 setup.py build

%install
export LANG=en_US.UTF-8
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_prefix}

%check
export LANG=en_US.UTF-8
DJANGO_SETTINGS_MODULE=inmemorystorage.test_settings python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Apr  1 2016 matwey.kornilov@gmail.com
- Initial version
